LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 04-19-2017, 03:55 PM   #1
sithun
Member
 
Registered: Jul 2016
Location: mongolia
Posts: 91

Rep: Reputation: 1
virtualbox-kernel module for 5.1.20 building


from description of virtualbox-kernel package on sbo:

If you want to build a kernel module for an other virtualbox version
you can use the included "virtualbox-kernel-mksrctarball.sh" which will
generate the needed source package for you. You will need to have
the coresponding virtualbox-ose version already installed.



how can i have virtualbox already installed if it is depends from virtualbox-kernel?
can i install this binary from oracle site? if i can then how to remove it after building virtualbox-kernel package?
 
Old 04-19-2017, 05:28 PM   #2
cwizardone
Senior Member
 
Registered: Feb 2007
Distribution: Slackware64-current with "True Multilib." FreeBSD.
Posts: 3,344
Blog Entries: 1

Rep: Reputation: 760Reputation: 760Reputation: 760Reputation: 760Reputation: 760Reputation: 760Reputation: 760
I have never had a problem downloading, installing and using the package on this page,

https://www.virtualbox.org/wiki/Linux_Downloads

and labeled,

Quote:
All distributions (built on EL5 and therefore do not require recent system libraries) i386 | AMD64
Click on either i386 or AMD64, depending on your processor.

Once downloaded, run, as root, sh ./whateverversionyoujustdownloaded.run

Be sure to also install the correct extension pack.

Last edited by cwizardone; 04-19-2017 at 05:32 PM.
 
Old 04-19-2017, 09:22 PM   #3
bassmadrigal
Senior Member
 
Registered: Nov 2003
Location: Newport News, VA
Distribution: Slackware
Posts: 3,727

Rep: Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819Reputation: 1819
This is really only pertinent if you are trying to build using mismatched versions. If you stick with the same version of virtualbox and virtualbox-kernel, you won't run into any issues.
 
1 members found this post helpful.
Old 04-19-2017, 10:59 PM   #4
sithun
Member
 
Registered: Jul 2016
Location: mongolia
Posts: 91

Original Poster
Rep: Reputation: 1
Quote:
Originally Posted by bassmadrigal View Post
This is really only pertinent if you are trying to build using mismatched versions. If you stick with the same version of virtualbox and virtualbox-kernel, you won't run into any issues.
ok. thank you. misunderstanding. i thought that it is about difference between sbo and my versions
 
Old 04-20-2017, 06:27 AM   #5
ppr:kut
Slackware Contributor
 
Registered: Aug 2006
Location: Netherlands
Distribution: Slackware
Posts: 456

Rep: Reputation: 211Reputation: 211Reputation: 211
Quote:
Originally Posted by sithun View Post
how can i have virtualbox already installed if it is depends from virtualbox-kernel?
It's a runtime dependency only. It doesn't matter which one you build first, unless you want to generate a new source tarball for virtualbox-kernel, in which case you should build virtualbox first.
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] MLED - new Virtualbox Kernel Module needed for Kernel 4.4.29 codix Microlinux / MLED 7 11-14-2016 10:21 AM
[SOLVED] building guest additions in VirtualBox with 38-kernel fails j1alu Linux - Virtualization and Cloud 4 03-23-2014 04:21 AM
Building an out-of-tree module without building the kernel source lijodevasia Linux - General 2 08-01-2013 12:45 AM
[SOLVED] VirtualBox & The New 2.6.37.3 Kernel. (Solution: DKMS Required To Install VB Kernel Module) cwizardone Slackware 49 03-17-2011 06:42 PM
Building kernel module from multiple source file in 2.6 kernel yogeshwar_s Programming 1 12-20-2004 09:31 AM


All times are GMT -5. The time now is 09:12 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration